## python-pathlib2 2.3.3

=== requirements.txt ===
six
scandir; python_version < '3.5'
mock; python_version < '3.3'

## python-pathlib2 2.1.0

=== debian/changelog ===
python-pathlib2 (2.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #824863)

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 21 May 2016 07:33:47 +0200

=== debian/control ===
Source: python-pathlib2
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), dh-python, python, python-setuptools, python-six
Homepage: https://pypi.python.org/pypi/pathlib2
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pathlib2.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pathlib2.git

Package: python-pathlib2
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Backport of the "pathlib" stdlib module (Python 2)
 The old pathlib module on bitbucket is in bugfix-only mode. The goal of
 pathlib2 is to provide a backport of standard pathlib module which tracks
 the standard library module, so all the newest features of the standard
 pathlib can be used also on older Python versions. 
 .
 This package is (obviously) for Python 2.

## python-pathlib2 2.2.0+really2.1.0

=== debian/changelog ===
python-pathlib2 (2.2.0+really2.1.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Sun, 05 Mar 2017 22:14:22 +0100

python-pathlib2 (2.2.0+really2.1.0-1) unstable; urgency=medium

  * Revert previous new upstream release, as the RC bug #851137 can't be
  fixed for the next stable and I don't want to make other packages FTBFS
  and fail to get in.

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 14 Jan 2017 11:41:47 +0100

python-pathlib2 (2.2.0-1) unstable; urgency=medium

  * Push dh compat to 10.
  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 11 Jan 2017 10:04:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), dh-python, python, python-setuptools, python-six
+Build-Depends: debhelper (>= 10), dh-python, python, python-setuptools, python-six
 Homepage: https://pypi.python.org/pypi/pathlib2
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pathlib2.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pathlib2.git

## python-pathlib2 2.3.0

=== debian/changelog ===
python-pathlib2 (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Push standards-version to 4.0.0.

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 01 Jul 2017 15:56:31 +0200

python-pathlib2 (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Added depend on python-scandir.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 21 Apr 2017 15:34:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Build-Depends: debhelper (>= 10), dh-python, python, python-setuptools, python-six
 Homepage: https://pypi.python.org/pypi/pathlib2
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pathlib2.git
@@ -11,7 +11,7 @@
 
 Package: python-pathlib2
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, python-scandir
 Description: Backport of the "pathlib" stdlib module (Python 2)
  The old pathlib module on bitbucket is in bugfix-only mode. The goal of
  pathlib2 is to provide a backport of standard pathlib module which tracks

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pathlib2

%:
	dh $@ --with python2 --buildsystem=pybuild

=== debian/watch ===
version=3
https://pypi.python.org/pypi/pathlib2 .*/pathlib2-(.*)\.tar\.gz#md5=.*

## python-pathlib2 2.3.2

=== debian/changelog ===
python-pathlib2 (2.3.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/control: Remove trailing whitespaces

  [ Julien Puydt ]
  * New upstream release.
  * Refresh packaging:
    - Point d/watch to the new pypi site.
    - Bump dh compat to 11. 
    - Bump std-ver to 4.1.4. 
    - Point homepage to the new pypi site. 
    - Add autopkgtest (trivial import). 

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 25 Apr 2018 06:49:32 +0200

=== debian/control ===
Source: python-pathlib2
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Standards-Version: 4.1.4
Build-Depends: debhelper (>= 11), dh-python, python, python-setuptools, python-six
Homepage: https://pypi.org/project/pathlib2
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pathlib2.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pathlib2

Package: python-pathlib2
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-scandir
Description: Backport of the "pathlib" stdlib module (Python 2)
 The old pathlib module on bitbucket is in bugfix-only mode. The goal of
 pathlib2 is to provide a backport of standard pathlib module which tracks
 the standard library module, so all the newest features of the standard
 pathlib can be used also on older Python versions.
 .
 This package is (obviously) for Python 2.

=== debian/tests/control ===
Tests: import
Depends: @

## python-pathlib2 2.3.3

=== debian/changelog ===
python-pathlib2 (2.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Add lintian override about not having python3-*.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 30 Nov 2018 07:11:24 +0100

python-pathlib2 (2.3.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout
  * Add pypy-pathlib2 binary package
  * d/copyright: Bump copyright years
  * Enable autopkgtest-pkg-python testsuite

  [ Julien Puydt ]
  * Refresh packaging:
    - Use my debian.org mail address.
    - Bump std-ver to 4.2.1. 

 -- Julien Puydt <jpuydt@debian.org>  Sat, 03 Nov 2018 07:38:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
-Uploaders: Julien Puydt <julien.puydt@laposte.net>
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 11), dh-python, python, python-setuptools, python-six
+Uploaders: Julien Puydt <jpuydt@debian.org>
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 11), dh-python, python, python-setuptools, python-six, pypy, pypy-setuptools, pypy-six
 Homepage: https://pypi.org/project/pathlib2
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-pathlib2.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pathlib2
+Testsuite: autopkgtest-pkg-python
 
 Package: python-pathlib2
 Architecture: all
@@ -19,3 +20,14 @@
  pathlib can be used also on older Python versions.
  .
  This package is (obviously) for Python 2.
+
+Package: pypy-pathlib2
+Architecture: all
+Depends: ${misc:Depends}, ${pypy:Depends}, pypy-scandir
+Description: Backport of the "pathlib" stdlib module (PyPy)
+ The old pathlib module on bitbucket is in bugfix-only mode. The goal of
+ pathlib2 is to provide a backport of standard pathlib module which tracks
+ the standard library module, so all the newest features of the standard
+ pathlib can be used also on older Python versions.
+ .
+ This package is (obviously) for PyPy.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pathlib2

%:
	dh $@ --with python2,pypy --buildsystem=pybuild

## python-pathlib2 2.3.4

=== debian/changelog ===
python-pathlib2 (2.3.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 27 Jul 2019 21:53:48 +0200

python-pathlib2 (2.3.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.

  [ Julien Puydt ]
  * New upstream release.
  * Bump std-ver to 4.4.0.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 09 Jul 2019 09:33:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Uploaders: Julien Puydt <jpuydt@debian.org>
-Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 11), dh-python, python, python-setuptools, python-six, pypy, pypy-setuptools, pypy-six
+Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 11), dh-python, python, python-setuptools, python-six, pypy, pypy-setuptools, pypy-six
 Homepage: https://pypi.org/project/pathlib2
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-pathlib2.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pathlib2

## python-pathlib2 2.3.5

=== debian/changelog ===
python-pathlib2 (2.3.5-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Julien Puydt ]
  * Declare d/rules doesn't require root.
  * Bump std-vers to 4.5.0.
  * Bump dh compat to 13.
  * Drop now-useless lintian override.
  * Add a lintian override for a false positive.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 14 Oct 2020 20:50:37 +0200

python-pathlib2 (2.3.5-2) unstable; urgency=medium

  * Drop python2 support; Closes: #938004

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Apr 2020 17:16:53 -0400

python-pathlib2 (2.3.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Julien Puydt ]
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 22 Oct 2019 10:29:38 +0200

=== debian/control ===
Source: python-pathlib2
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Section: python
Uploaders: Julien Puydt <jpuydt@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), dh-python, pypy, pypy-setuptools, pypy-six
Homepage: https://pypi.org/project/pathlib2
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pathlib2.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pathlib2
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: pypy-pathlib2
Architecture: all
Depends: ${misc:Depends}, ${pypy:Depends}, pypy-scandir
Description: Backport of the "pathlib" stdlib module (PyPy)
 The old pathlib module on bitbucket is in bugfix-only mode. The goal of
 pathlib2 is to provide a backport of standard pathlib module which tracks
 the standard library module, so all the newest features of the standard
 pathlib can be used also on older Python versions.
 .
 This package is (obviously) for PyPy.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pathlib2

%:
	dh $@ --with pypy --buildsystem=pybuild
